Package org.springframework.security.web.webauthn.api

# Class ImmutablePublicKeyCose

java.lang.Object
org.springframework.security.web.webauthn.api.ImmutablePublicKeyCose

All Implemented Interfaces:
  `PublicKeyCose`

public class ImmutablePublicKeyCose extends Object implements PublicKeyCose
An immutable `PublicKeyCose`

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`ImmutablePublicKeyCose(byte[] bytes)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`static ImmutablePublicKeyCose`
`fromBase64(String base64EncodedString)`
Creates a new instance form a Base64 URL encoded String
`byte[]`
`getBytes()`
The byes of a COSE encoded public key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImmutablePublicKeyCose

public ImmutablePublicKeyCose(byte[] bytes)
Creates a new instance.

Parameters:
  `bytes` - the raw bytes of the public key.

## Method Details

### getBytes

public byte[] getBytes()
Description copied from interface: `PublicKeyCose`
The byes of a COSE encoded public key.

Specified by:
  `getBytes` in interface `PublicKeyCose`
Returns:
  the bytes of a COSE encoded public key.

### fromBase64

public static ImmutablePublicKeyCose fromBase64(String base64EncodedString)
Creates a new instance form a Base64 URL encoded String

Parameters:
  `base64EncodedString` - the base64EncodedString encoded String
Returns: